restinio::utils::unescape_percent_encoding_failure_t Class Reference

Type that indicates a failure of unescaping of percent-encoded symbols. More...

`#include <percent_encoding.hpp>`

## Public Member Functions

| unescape_percent_encoding_failure_t (std::string description)
RESTINIO_NODISCARD const std::string & | description () const noexcept
| Get a reference to the description of the failure. More...
RESTINIO_NODISCARD std::string | giveout_description () noexcept
| Get out the value of the description of the failure. More...

## Private Attributes

std::string | m_description
| Description of a failure. More...

## Detailed Description

Type that indicates a failure of unescaping of percent-encoded symbols.

Since
  v.0.6.5

Definition at line 159 of file percent_encoding.hpp.

## Constructor & Destructor Documentation

## unescape_percent_encoding_failure_t()

restinio::utils::unescape_percent_encoding_failure_t::unescape_percent_encoding_failure_t | ( | std::string | description | ) |

inline

Definition at line 165 of file percent_encoding.hpp.

## Member Function Documentation

## description()

RESTINIO_NODISCARD const std::string & restinio::utils::unescape_percent_encoding_failure_t::description | ( |  | ) | const

inlinenoexcept

Get a reference to the description of the failure.

Definition at line 173 of file percent_encoding.hpp.

## giveout_description()

RESTINIO_NODISCARD std::string restinio::utils::unescape_percent_encoding_failure_t::giveout_description | ( |  | ) |

inlinenoexcept

Get out the value of the description of the failure.

This method is intended for cases when this description should be move elsewhere (to another object like unescape_percent_encoding_failure_t or to some exception-like object).

Definition at line 183 of file percent_encoding.hpp.

## Member Data Documentation

## m_description

std::string restinio::utils::unescape_percent_encoding_failure_t::m_description

private

Description of a failure.

Definition at line 162 of file percent_encoding.hpp.

The documentation for this class was generated from the following file:

- restinio/utils/percent_encoding.hpp